ControllerPlugin (Resource Manager CL 1.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.resourcemanager.client.plugins

## Class ControllerPlugin

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin<RMControllerServiceJAXWSStubs,RMControllerLibrary>
  - - org.gcube.vremanagement.resourcemanager.client.plugins.ControllerPlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,RMControllerServiceJAXWSStubs,RMControllerLibrary>, org.gcube.common.clients.fw.plugin.Plugin<RMControllerServiceJAXWSStubs,RMControllerLibrary>

      public class ControllerPlugin
      extends AbstractPlugin<RMControllerServiceJAXWSStubs,RMControllerLibrary>

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControllerPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `namespace()`
    `RMControllerLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMControllerServiceJAXWSStubs> delegate)`
    `RMControllerServiceJAXWSStubs` | `resolve(EndpointReference reference, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `convert, name, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControllerPlugin

          public ControllerPlugin()

  - ### Method Detail

    - #### resolve

          public RMControllerServiceJAXWSStubs resolve(EndpointReference reference,
                                              org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                                throws Exception

      Throws:
        `Exception`

    - #### newProxy

          public RMControllerLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMControllerServiceJAXWSStubs> delegate)

    - #### namespace

          public String namespace()

Copyright © 2015. All Rights Reserved.